@import './constants/constants.scss';

body {
  font-family: 'Rubik', sans-serif;
  color: $main-color;
  background-color: black;
  margin: 0;
  display: flex;
  justify-content: center;
  font-size: 16px;
  height: 100vh;
  overflow: hidden;

  h4 {font-size: 19px; margin: 0}
  h3 {font-size: 24px; margin: 0}

  *::-ms-backdrop, .App div.login-form form {
        left: calc(50% - 140px);
        top: calc(50% - 185px);
  } /* IE11 */

  div#root {
    width: 100%;
    height: 100%;
    max-width: 1440px;
    background-color: white;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    justify-content: space-between;

    footer {
      margin-top: 72px;
      min-height: 140px;
      max-height: 140px;
      background-color: #F2F2F2;
      display: flex;
      flex-direction: row;
      justify-content: flex-start;
      align-items: center;
      padding: $side-margin;

      img {
        margin-right: 40px;
      }

      .contacts {
        display: flex;
        flex-direction: column;
        align-content: center;

        justify-content: space-between;
        .site {
          margin-top: 6px;
          font-weight: bold;
          a {
            color: #1F4766;
            outline: none;
            text-decoration: none;
          }
        }
        .phone {
          margin: 5px 0;
        }

        address {
          font-style: normal;
        }

      }
    }
    @media only screen and (max-width: 700px) {
     footer {
       padding: 0 10px;
     }
    }
  }
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
  monospace;
}

::-webkit-scrollbar {
  width: 8px;
  height: 8px;
  border-radius: 2px;
}

::-webkit-scrollbar-track {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

::-webkit-scrollbar-thumb {
  background-color: #BDBDBD;
  outline: 1px solid #f2f2f2;
}

* {
  scrollbar-width: thin;
  scrollbar-color: #BDBDBD #f2f2f2;
}

/*IE*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
 *{
    /* ie scrollbar color properties */
    scrollbar-base-color: transparent;

    scrollbar-highlight-color: #f2f2f2;
    scrollbar-track-color: #efefef;
   scrollbar-arrow-color: #f2f2f2;

   scrollbar-shadow-color: #BDBDBD;
   scrollbar-face-color: #BDBDBD;
   scrollbar-3dlight-color: #BDBDBD;
    scrollbar-dark-shadow-color: #BDBDBD;
    -ms-overflow-style: revert;
  }

  .scrollable:after {
    content: "";
    height: 32px;
    display: block;
  }

}
